Translations
Configure multi-language support and translation options for your documentation.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Query parameters
pagestringOptional
Identifier of the page results to fetch.
limitnumber · max: 1000Optional
The number of results per page
Responses
200
OK
application/json
get
/orgs/{organizationId}/translations200
OK
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Body
languagestring · enumRequiredPossible values:
Responses
201
Translation has been created
application/json
400
Bad Request
application/json
post
/orgs/{organizationId}/translationsAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$translationIdstringRequired
The unique id of the translation
Responses
200
OK
application/json
404
No matching translation found
application/json
get
/orgs/{organizationId}/translations/{translationId}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$translationIdstringRequired
The unique id of the translation
Body
Responses
200
Translation has been updated
application/json
400
Bad Request
application/json
put
/orgs/{organizationId}/translations/{translationId}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$translationIdstringRequired
The unique id of the translation
Responses
204
Translation did not exist
No content
205
Translation has been deleted
delete
/orgs/{organizationId}/translations/{translationId}No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$translationIdstringRequired
The unique id of the translation
Responses
204
Translation run triggered
No content
404
No matching translation found
application/json
post
/orgs/{organizationId}/translations/{translationId}/runNo content
Last updated
Was this helpful?